list_replace
Prev | Doubly Linked Lists | Next

## Name

list_replace — replace old entry by new one

## Synopsis

`void list_replace (` | struct list_head * | old,
| struct list_head * | new`)`;

## Arguments

`old`

  the element to be replaced

`new`

  the new element to insert

## Description

If `old` was empty, it will be overwritten.

Prev | Up | Next
list_del_rcu | Home | list_replace_rcu